// RobotApp.java

import ch.aplu.nxt.*;

public class RobotApp
{
  public RobotApp()
  {
    // Create a robot (and connect to host)
    LegoRobot robot = new LegoRobot();

    // Create a touch sensor at port S1
    TouchSensor ts = new TouchSensor();
     
    // Assemble the touch sensor into the robot
    robot.addPart(ts);

    // Create two motors
    Motor motA = new Motor(MotorPort.A);
    Motor motB = new Motor(MotorPort.B);
  
    // Assemble the touch sensor into the robot
    robot.addPart(motA);
    robot.addPart(motB);

    // Move forward until an obstacle is hit
    motA.forward();
    motB.forward();
    while (!ts.isPressed()) {}

    // Disconnect and terminate program
    robot.exit();
  }
  
  // main()
  public static void main(String[] args)
  {
    new RobotApp();
  }
}
