// Thermostat.java

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class Thermostat 
{
  private final int securityLevel = 25;  // Degrees
  
  public Thermostat()
  {
    LegoRobot robot = new LegoRobot();
    TemperatureSensor ts = new TemperatureSensor(SensorPort.S1);
    robot.addPart(ts);
    while (!QuitPane.quit())
    {
      double value = ts.getDegrees();
      System.out.println("Current value: " + value + " degrees");
      if (value > securityLevel)
        System.out.println("   Temperature too high");
      Tools.delay(1000);
    }
    robot.exit();
  }
  
  public static void main(String[] args)
  {
    new Thermostat();
  }
}
