// TouchTone.java
// Touch Sensor (simple demo)

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class TouchTone implements TouchListener
{
  private LegoRobot robot;
  
  public TouchTone()
  {
    // Create a touch sensor at port S1
    TouchSensor ts = new TouchSensor();

    // Register it to enable the callbacks 
    ts.addTouchListener(this);
 
    // Create a robot with given Bluetooth name and connect
    robot = new LegoRobot("NXT");
  
    // Assemble the touch sensor into the robot
    robot.addPart(ts);
    
    // Show modal dialog until quit button is hit
    while(!QuitPane.quit());
    
    // Cleanup
    robot.exit();
  }
  
  // Event callback method called whenever the touch sensor is pressed
  public void pressed(SensorPort port)
  {
    robot.playTone(750, 400);
  }

  // Event callback method called whenever the touch sensor is released
  public void released(SensorPort port)
  {
    robot.playTone(600, 400);
  } 

  // main()
  public static void main(String[] args)
  {
    new TouchTone();
  }
}
