// TwinRobotEx1.java

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class TwinRobotEx1 implements LightListener
{
  private final int triggerLevel = 500; 
  private final double radius = 0.3;
  private Gear gear;
  private boolean isRed = true;
  
  public TwinRobotEx1()
  {
    Console c = new Console();
    c.println("Type 'r', 'g' or 'q'");
    LegoRobot robot1 = new LegoRobot("NXT");  // Train
    LegoRobot robot2 = new LegoRobot("APLU1"); // Signal
    gear = new Gear();
    robot1.addPart(gear);
    LightSensor ls1 = new LightSensor(SensorPort.S1); // gate
    LightSensor ls2 = new LightSensor(SensorPort.S2); // LED
    robot2.addPart(ls1);    
    robot2.addPart(ls2);
    ls1.addLightListener(this, triggerLevel);
    ls1.activate(false);
    ls2.activate(true);
    boolean isRunning = true;
    
    gear.leftArc(radius);
     
    while (isRunning)    
    {
      char ch = c.getKeyWait();
      switch (ch)
      {
        case 'r': // red
        case 'R': 
          ls2.activate(true);
          isRed = true;
          c.println("Signal red");
          break;
        case 'g': // green
        case 'G': 
          ls2.activate(false);
          isRed = false; 
          gear.leftArc(radius);
          c.println("Signal green");      
          break;
        case 'q': // quit
        case 'Q': 
          isRunning = false;
          break;
      }
    }
    
    robot1.disconnect();
    robot2.exit();
  }
  
  public void bright(SensorPort port, int level)
  {
  }  
  
  public void dark(SensorPort port, int level)
  { 
    if (isRed)
      gear.stop();
  } 

  public static void main(String[] args)
  {
    new TwinRobotEx1();
  }
}